## dods.dap.Server
Interface BoolFunction

All Superinterfaces:
  ServerSideFunction

public interface BoolFunction
extends ServerSideFunction

Represents a server-side function, which evaluates to a boolean value. Custom server-side functions which return boolean values should implement this interface.

See Also:
  `BoolFunctionClause`

Method Summary
`boolean` `evaluate(List args)` Evaluates the function using the argument list given.

Methods inherited from interface dods.dap.Server.ServerSideFunction
`checkArgs, getName`

Method Detail

### evaluate

    public boolean evaluate(List args)
                     throws SDODSException

  Evaluates the function using the argument list given.

  Throws:
    `SDODSException` - Thrown if the function cannot evaluate successfully. The exact type of exception is up to the author of the server-side function.